package dev.shadowsoffire.apotheosis.adventure.spawner;

import com.mojang.serialization.Codec;
import dev.shadowsoffire.apotheosis.Apotheosis;
import dev.shadowsoffire.apotheosis.adventure.AdventureModule;
import dev.shadowsoffire.placebo.reload.WeightedDynamicRegistry;

public class RogueSpawnerRegistry extends WeightedDynamicRegistry<RogueSpawner>
{
    public static final RogueSpawnerRegistry INSTANCE;
    
    public RogueSpawnerRegistry() {
        super(AdventureModule.LOGGER, "rogue_spawners", false, false);
    }
    
    protected void registerBuiltinCodecs() {
        this.registerDefaultCodec(Apotheosis.loc("rogue_spawner"), (Codec)RogueSpawner.CODEC);
    }
    
    static {
        INSTANCE = new RogueSpawnerRegistry();
    }
}
